
public class Class72 {

   public byte aByte685;
   public int anInt686;
   public String aString687;
   public static int anInt688;
   public static int anInt689;


   static final void method1586(Class508 var0, int var1) {
      Class505 var10000;
      if(var0.aBool6014) {
         if(var1 >= -1607458843) {
            ;
         }

         var10000 = var0.aClass505_6011;
      } else {
         var10000 = var0.aClass505_6010;
      }

      Class505 var2 = var10000;
      Class124 var3 = var2.aClass124_5977;
      Class121 var4 = var2.aClass121_5978;
      Class219.method3776(var3, var4, var0, 1880668164);
   }

   public static int method1587(int var0, int var1, byte var2) {
      int var3 = var0 >>> 31;
      return (var3 + var0) / var1 - var3;
   }

   public static Class225_Sub11 method1588(byte var0) {
      if(null != Class215_Sub1.aClass456_2535 && Class215_Sub1.aClass460_8343 != null) {
         for(Class225_Sub11 var1 = (Class225_Sub11)Class215_Sub1.aClass460_8343.next(); null != var1; var1 = (Class225_Sub11)Class215_Sub1.aClass460_8343.next()) {
            Class567 var2 = Class215_Sub1.aClass555_2519.method11836(var1.anInt8528 * 922203033, 1823371903);
            if(var2 != null && var2.aBool7538 && var2.method12027(Class215_Sub1.anInterface13_2522, Class215_Sub1.anInterface12_2521, 837571763)) {
               return var1;
            }
         }

         return null;
      } else {
         return null;
      }
   }
}
